Bug 1105229 - [abrt] system-config-printer: module.py:134:__getattr__:AttributeError: 'gi.repository.Gdk' object has no attribute 'NOTHING'
Summary: [abrt] system-config-printer: module.py:134:__getattr__:AttributeError: 'gi.r...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-printer
Version: 20
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:d4766c8eb5cc56c5a01d1272c23...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-05 16:05 UTC by Wilhelm.Buchmueller
Modified: 2014-07-10 00:24 UTC (History)
2 users (show)

Fixed In Version: system-config-printer-1.4.5-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-10 00:24:14 UTC


Attachments (Terms of Use)
File: backtrace (719 bytes, text/plain)
2014-06-05 16:05 UTC, Wilhelm.Buchmueller
no flags Details
File: dso_list (81 bytes, text/plain)
2014-06-05 16:05 UTC, Wilhelm.Buchmueller
no flags Details
File: environ (1.41 KB, text/plain)
2014-06-05 16:05 UTC, Wilhelm.Buchmueller
no flags Details

Description Wilhelm.Buchmueller 2014-06-05 16:05:07 UTC
Version-Release number of selected component:
system-config-printer-1.4.4-1.fc20

Additional info:
reporter:       libreport-2.2.2
cmdline:        /usr/bin/python /usr/share/system-config-printer/system-config-printer.py
executable:     /usr/share/system-config-printer/system-config-printer.py
kernel:         3.14.4-200.fc20.i686+PAE
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
module.py:134:__getattr__:AttributeError: 'gi.repository.Gdk' object has no attribute 'NOTHING'

Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 1172, in on_treeview_popup_menu
    event = Gdk.Event (Gdk.NOTHING)
  File "/usr/lib/python2.7/site-packages/gi/module.py", line 313, in __getattr__
    return getattr(self._introspection_module, name)
  File "/usr/lib/python2.7/site-packages/gi/module.py", line 134, in __getattr__
    self.__name__, name))
AttributeError: 'gi.repository.Gdk' object has no attribute 'NOTHING'

Local variables in innermost frame:
info: None
self: <IntrospectionModule 'Gdk' from '/usr/lib/girepository-1.0/Gdk-3.0.typelib'>
name: 'NOTHING'

Comment 1 Wilhelm.Buchmueller 2014-06-05 16:05:10 UTC
Created attachment 902587 [details]
File: backtrace

Comment 2 Wilhelm.Buchmueller 2014-06-05 16:05:11 UTC
Created attachment 902588 [details]
File: dso_list

Comment 3 Wilhelm.Buchmueller 2014-06-05 16:05:13 UTC
Created attachment 902589 [details]
File: environ

Comment 5 Fedora Update System 2014-07-04 16:32:13 UTC
system-config-printer-1.4.5-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/system-config-printer-1.4.5-1.fc20

Comment 6 Fedora Update System 2014-07-05 14:56:10 UTC
Package system-config-printer-1.4.5-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing system-config-printer-1.4.5-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-8100/system-config-printer-1.4.5-1.fc20
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2014-07-10 00:24:14 UTC
system-config-printer-1.4.5-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.